/*
 * Copyright (C) 2015-present, Ant Financial Services Group
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.alipay.hulu.adapter;

import android.content.Context;
import android.widget.BaseAdapter;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by lezhou.wyl on 2018/8/15.
 */

public abstract class SoloBaseAdapter<T> extends BaseAdapter {

    protected Context mContext;
    protected List<T> mData = new ArrayList<>();

    public SoloBaseAdapter(Context context) {
        mContext = context;
    }

    @Override
    public int getCount() {
        return mData.size();
    }

    @Override
    public Object getItem(int position) {
        return mData.get(position);
    }

    @Override
    public long getItemId(int position) {
        return position;
    }

    public void setData(List<T> data) {
        if (data == null) {
            mData = new ArrayList<>();
        } else {
            mData = new ArrayList<>(data);
        }
        notifyDataSetChanged();
    }

    public List<T> getData() {
        List<T> result = new ArrayList<>();
        if (mData != null) {
            result.addAll(mData);
        }

        return result;
    }
}
